loadModel {iSPlot} | R Documentation

## Load a Model (and a MVC) object into mvcEnv environment

### Description

loadModel creates a model object and a MVC object and loads them into the environment variable, MVCList, in mvcEnv. This function will be called by the handleMessage method for a gAddDataMessage object. Note that it is this function that ensures that there is a one to one correspondence between a model and a MVC object.

### Usage

    loadModel(data, name)

### Arguments

`data` | the dataframe or matrix
`name` | the data set name - a character string

### Author(s)

Elizabeth Whalen

### See Also

`getData`, `loadData`

### Examples

      if (interactive())
      {
        # these should be called by selecting Open Data under the File menu or
        # by using the loadData function
        data(USArrests)
        loadModel(USArrests, "USArrests")
      }

[Package iSPlot version 1.12.0 Index]